### Method

# Fwupd JcatItem get_blobs_by_kind

since: 2.1.3

#### Declaration [src]

    GPtrArray*
    fwupd_jcat_item_get_blobs_by_kind (
      FwupdJcatItem* self,
      FwupdJcatBlobKind kind
    )

#### Description [src]

Gets the item blobs by a specific kind.

Available since: 2.1.3

#### Parameters

`kind`

  Type: `FwupdJcatBlobKind`

  `FwupdJcatBlobKind`, e.g. `FWUPD_JCAT_BLOB_KIND_SHA256`.

#### Return value

Type: An array of `FwupdJcatBlob*`

Blobs.

The caller of the method takes ownership of the returned data container, but not the data inside it.